# to avoid 'no visible binding for global variable' NOTE
globalVariables(c("r_env", "r_data", "r_state", "running_local", ".",
                  "se","ci","height","bump","y","nr_clus",".resid","rnd_number",
                  "null.deviance"))

options("width"=200)
options("scipen"=100, "digits"=4)

#' radiant
#'
#' @name radiant
#' @docType package
#' @import ggplot2 shiny dplyr shinyAce
#' @importFrom knitr knit2html
#' @importFrom pryr where
#' @importFrom magrittr %<>% %T>% set_rownames set_colnames divide_by add
#' @importFrom lubridate is.Date now
#' @importFrom broom tidy glance
#' @importFrom tidyr gather_
#' @importFrom gridExtra grid.arrange
#' @importFrom markdown markdownToHTML
NULL

#' Exporting the kurtosi function from the psych package
#' @importFrom psych kurtosi
#' @name kurtosi
#' @rdname kurtosi.re
#' @export
NULL

#' Exporting the skew function from the psych package
#' @importFrom psych skew
#' @name skew
#' @rdname skew.re
#' @export
NULL

#' Diamond prices
#' @details A sample of 3,000 from the diamonds dataset bundeled with ggplot2. Description provided in attr(diamonds,"description")
#' @docType data
#' @keywords datasets
#' @name diamonds
#' @usage data(diamonds)
#' @format A data frame with 3000 rows and 10 variables
NULL

#' Conjoint data for MP3 players
#' @details Conjoint data for MP3 players. Description provided in attr(mp3,"description")
#' @docType data
#' @keywords datasets
#' @name mp3
#' @usage data(mp3)
#' @format A data frame with 18 rows and 6 variables
NULL

#' 100 random names
#' @details A list of 100 random names generated by \url{listofrandomnames.com}.  Description provided in attr(rndnames,"description")
#' @docType data
#' @keywords datasets
#' @name rndnames
#' @usage data(rndnames)
#' @format A data frame with 100 rows and 2 variables
NULL

#' Shopping attitudes
#' @details Attitudinal data on shopping for 20 consumers. Description provided in attr(shopping,"description")
#' @docType data
#' @keywords datasets
#' @name shopping
#' @usage data(shopping)
#' @format A data frame with 20 rows and 7 variables
NULL

#' Survival data for the Titanic
#' @details Survival data for the Titanic. Description provided in attr(titanic,"description")
#' @docType data
#' @keywords datasets
#' @name titanic
#' @usage data(titanic)
#' @format A data frame with 1309 rows and 11 variables
NULL

#' Predict survival
#' @details Prediction data.frame for glm_reg based on the Titanic dataset
#' @docType data
#' @keywords datasets
#' @name titanic_pred
#' @usage data(titanic_pred)
#' @format A data frame with 6 rows and 3 variables
NULL

#' Newspaper readership
#' @details Newspaper readership data for 580 consumers. Description provided in attr(newspaper,"description")
#' @docType data
#' @keywords datasets
#' @name newspaper
#' @usage data(newspaper)
#' @format A data frame with 580 rows and 2 variables
NULL

#' Toothpaste attitudes
#' @details Attitudinal data on toothpaste for 60 consumers. Description provided in attr(toothpaste,"description")
#' @docType data
#' @keywords datasets
#' @name toothpaste
#' @usage data(toothpaste)
#' @format A data frame with 60 rows and 10 variables
NULL

#' City distances
#' @details Distance in miles between nine cities in the USA. The dataset is used to illustrate multi-dimensional scaling (MDS). Description provided in attr(city,"description")
#' @docType data
#' @keywords datasets
#' @name city
#' @usage data(city)
#' @format A data frame with 45 rows and 3 variables
NULL

#' Perceptions of computer (re)sellers
#' @details Perceptions of computer (re)sellers. The dataset is used to illustrate perceptual maps. Description provided in attr(computer,"description")
#' @docType data
#' @keywords datasets
#' @name computer
#' @usage data(computer)
#' @format A data frame with 5 rows and 8 variables
NULL
